import Joi from 'joi';
import type { ChainId, WalletModule } from '@web3-onboard/common';
import type { InitOptions, WalletState, ConnectOptions, DisconnectOptions, ConnectOptionsString } from './types';
declare type ValidateReturn = Joi.ValidationResult | null;
export declare function validateWallet(data: WalletState | Partial<WalletState>): ValidateReturn;
export declare function validateInitOptions(data: InitOptions): ValidateReturn;
export declare function validateWalletModule(data: WalletModule): ValidateReturn;
export declare function validateConnectOptions(data: ConnectOptions | ConnectOptionsString): ValidateReturn;
export declare function validateDisconnectOptions(data: DisconnectOptions): ValidateReturn;
export declare function validateString(str: string): ValidateReturn;
export declare function validateSetChainOptions(data: {
    chainId: ChainId;
    wallet?: WalletState['label'];
}): ValidateReturn;
export {};
